## org.exist.validation.test
Class XQueryValidationFunctionsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.validation.test.XQueryValidationFunctionsTest

All Implemented Interfaces:
  junit.framework.Test

public class XQueryValidationFunctionsTest
extends junit.framework.TestCase

Constructor Summary
`XQueryValidationFunctionsTest(java.lang.String arg0)` Constructor for XQueryValidationFunctionsTest.

Method Summary
`void` `bugtestValidateValidXmlSearchGrammar1()`
`static void` `main(java.lang.String[] args)`
`void` `testValidateInValidXmlWithXsd()`
`void` `testValidateInvalidXmlWithXsdInCatalog()`
`void` `testValidateValidXmlSearchGrammar2()`
`void` `testValidateValidXmlWithXsd()`
`void` `testValidateValidXmlWithXsdInCatalog()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryValidationFunctionsTest

    public XQueryValidationFunctionsTest(java.lang.String arg0)

  Constructor for XQueryValidationFunctionsTest.

Parameters:
  `arg0` -

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws XPathException

  Throws:
    `XPathException`

### testValidateValidXmlWithXsd

    public void testValidateValidXmlWithXsd()
                                     throws XPathException

  Throws:
    `XPathException`

### testValidateInValidXmlWithXsd

    public void testValidateInValidXmlWithXsd()
                                       throws XPathException

  Throws:
    `XPathException`

### testValidateValidXmlWithXsdInCatalog

    public void testValidateValidXmlWithXsdInCatalog()
                                              throws XPathException

  Throws:
    `XPathException`

### testValidateInvalidXmlWithXsdInCatalog

    public void testValidateInvalidXmlWithXsdInCatalog()
                                                throws XPathException

  Throws:
    `XPathException`

### bugtestValidateValidXmlSearchGrammar1

    public void bugtestValidateValidXmlSearchGrammar1()
                                               throws XPathException

  Throws:
    `XPathException`

### testValidateValidXmlSearchGrammar2

    public void testValidateValidXmlSearchGrammar2()
                                            throws XPathException

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.